### Hierarchy

- CodeReader

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- maxCanvasSize
- mediaStream
- spec

### Methods

- activateResetButton
- activateScanner
- initCamera
- publishResult
- render
- stopCamera
- disableResetButton
- getDeviceId

## Constructors

### constructor

- new CodeReader(message: ISpecification): CodeReader

- - Defined in lib/renderable/codeReader/index.ts:22

  #### Parameters

  - ##### message: ISpecification

  #### Returns CodeReader

## Properties

### Private maxCanvasSize

maxCanvasSize: number = 640

- Defined in lib/renderable/codeReader/index.ts:22

### Private Optional mediaStream

mediaStream: MediaStream

- Defined in lib/renderable/codeReader/index.ts:21

### Private spec

spec: ISpecification

- Defined in lib/renderable/codeReader/index.ts:20

## Methods

### activateResetButton

- activateResetButton(wrapper: INode): void

- - Defined in lib/renderable/codeReader/index.ts:100

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### Private activateScanner

- activateScanner(wrapper: INode): void

- - Defined in lib/renderable/codeReader/index.ts:136

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### Private initCamera

- initCamera(wrapper: INode): void

- - Defined in lib/renderable/codeReader/index.ts:62

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### publishResult

- publishResult(wrapper: INode, result: Promise<Result> | null): void

- - Defined in lib/renderable/codeReader/index.ts:118

  #### Parameters

  - ##### wrapper: INode

  - ##### result: Promise<Result> | null

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/codeReader/index.ts:31

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private stopCamera

- stopCamera(wrapper: INode): void

- - Defined in lib/renderable/codeReader/index.ts:154

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### Static disableResetButton

- disableResetButton(wrapper: INode): void

- - Defined in lib/renderable/codeReader/index.ts:92

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### Static getDeviceId

- getDeviceId(node: INode): Promise<string>

- - Defined in lib/renderable/codeReader/index.ts:163

  #### Parameters

  - ##### node: INode

  #### Returns Promise<string>

Generated using TypeDoc